## org.eclipse.datatools.sqltools.sqlbuilder.views
Class BuilderUtility

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.views.BuilderUtility

    public class BuilderUtility

extends java.lang.Object

A helper class

Constructor Summary
`BuilderUtility()`

Method Summary
`static int` `fillColumnComboBox(org.eclipse.jface.viewers.CellEditor cellEditor, SQLQueryObject sqlStatement, boolean enableExprBuilder, boolean existsExpression)`
`static java.lang.Object` `getColumnItems(QueryStatement sqlStatement, boolean enableExprBuilder, boolean existsExpression)`
`static java.util.List` `getColumnVector(SQLQueryObject sqlStatement)`
`static java.lang.Object` `getDistinctColumnItems(SQLQueryObject sqlStatement, boolean enableExprBuilder, boolean existsExpression)`
`static int` `getTotalColumns(java.util.List tables)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuilderUtility

    public BuilderUtility()

Method Detail

### fillColumnComboBox

    public static int fillColumnComboBox(org.eclipse.jface.viewers.CellEditor cellEditor,
                                         SQLQueryObject sqlStatement,
                                         boolean enableExprBuilder,
                                         boolean existsExpression)

### getDistinctColumnItems

    public static java.lang.Object getDistinctColumnItems(SQLQueryObject sqlStatement,
                                                          boolean enableExprBuilder,
                                                          boolean existsExpression)

### getColumnItems

    public static java.lang.Object getColumnItems(QueryStatement sqlStatement,
                                                  boolean enableExprBuilder,
                                                  boolean existsExpression)

### getTotalColumns

    public static int getTotalColumns(java.util.List tables)

### getColumnVector

    public static java.util.List getColumnVector(SQLQueryObject sqlStatement)